List assigned proxies
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"proxies": [
{
"ip": "198.51.100.10",
"port": 9000,
"protocols": [
"http",
"socks5"
],
"username": "example-user",
"password": "example-password",
"country": "US",
"valid": true,
"assigned_at": "2026-08-31T12:00:00Z",
"rotation_eligible": true
}
]
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Subscriptions
List assigned proxies
List the subscription’s assigned proxies, connection credentials, and rotation eligibility. Keep credentials secret.
GET
https://app.proxy.doubledata.com/api/v1
/
isp
/
subscriptions
/
{subscriptionId}
/
proxies
List assigned proxies
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"proxies": [
{
"ip": "198.51.100.10",
"port": 9000,
"protocols": [
"http",
"socks5"
],
"username": "example-user",
"password": "example-password",
"country": "US",
"valid": true,
"assigned_at": "2026-08-31T12:00:00Z",
"rotation_eligible": true
}
]
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}